> For the complete documentation index, see [llms.txt](https://docs.spyderbat.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.spyderbat.com/reference/search/search-operators.md).

# All Operators

## **String**

All string operators are case insensitive except for `~~=`.

| Symbol | Description                                |
| ------ | ------------------------------------------ |
| `=`    | Equal to value                             |
| `!=`   | Not equal to value                         |
| `~=`   | Matches pattern with `*` and `?` wildcards |
| `~~=`  | Matches regular expression                 |

## **Boolean**

| Symbol | Description        |
| ------ | ------------------ |
| `=`    | Equal to value     |
| `!=`   | Not equal to value |

## **Number and Integer**

| Symbol | Description                    |
| ------ | ------------------------------ |
| `=`    | Equal to value                 |
| `!=`   | Not equal to value             |
| `>`    | Greater than value             |
| `>=`   | Greater than or equal to value |
| `<`    | Less than value                |
| `<=`   | Less than or equal to value    |

## **IP Address**

| Symbol | Description                          |
| ------ | ------------------------------------ |
| `=`    | Equal to value                       |
| `!=`   | Not equal to value                   |
| `<<`   | Contained in the cidr given by value |

## **List**

| Symbol | Description             |
| ------ | ----------------------- |
| `[*]`  | Any element of the list |
| `[0]`  | Element at index 0      |

## **Dictionary**

| Symbol       | Description               |
| ------------ | ------------------------- |
| `:keys[*]`   | Any key of the dictionary |
| `:values[*]` | Any element at any key    |
| `["foo"]`    | Element at the key "foo"  |

## **Null**

| Symbol   | Description                               |
| -------- | ----------------------------------------- |
| `is`     | Checks that a field does not have a value |
| `is not` | Checks that a field does have a value     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spyderbat.com/reference/search/search-operators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
